' I used an ATMEL AT90S2313 20 Pin chip.
' and built it with a 5volt regulator and 4 mhz resonator.
'7 bi-coloured LEDs are attached from Portd to Portb with a current limitting resister.
'Portd.0 to Portb.0
'portd.1 to Portb.1
'Portd.2 to Portb.2
'Portd.3 to Portb.3
'Portd.4 to Portb.4
'Portd.5 to Portb.5
'Portd.6 to Portb.6
'Portb.7 to pull up resister and momentary switch to gnd.
'This switch can be used to goto a subroutine to change colour or between messages....
'currently not using it with this Application Note.

Dim A As Byte , B1 As Byte , C As Byte
Config Portd = Output
Config Portb = Output
Start:
Portb = 00                                                  'set Portb to all low to display text in Red.
For C = 1 To 40                                             '147 bytes to send to the display, loops 147 times.
Restore Xxx                                                 'displays the message 40 times before switching to
For A = 1 To 147                                            'second message.
   Read B1 : Portd = B1                                     'sending text info to portd
Waitms 1
Next
Waitms 1
Next
C = 0
For C = 1 To 40
Portd = 0                                                   'set  Portd to all low to display text in Green.
Restore Yyy                                                 '2nd message to be displayed in Green 40 times
For A = 1 To 140                                            'with 140 bytes of data to the displays to make up the message.
   Read B1 : Portb = B1                                     ' sending text info to portb
Waitms 1
Next
Waitms 1
Next

Goto Start
End

'Red Message
Xxx:
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00
Data &H7F , &H01 , &H01 , &H01 , &H01 , &H00 , &H00         'l
Data &H3F , &H41 , &H41 , &H41 , &H3F , &H00 , &H00         'o
Data &H78 , &H06 , &H01 , &H06 , &H78 , &H00 , &H00         'v
Data &H7F , &H49 , &H49 , &H41 , &H00 , &H00 , &H00         'e
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00
Data &H3F , &H40 , &H40 , &H3F , &H40 , &H40 , &H3F         'm
Data &H3E , &H01 , &H01 , &H01 , &H3E , &H00 , &H00         'u
Data &H7F , &H48 , &H48 , &H40 , &H00 , &H00 , &H00         'f
Data &H7F , &H48 , &H48 , &H40 , &H00 , &H00 , &H00         'f
Data &H00 , &H00 , &H7F , &H00 , &H00 , &H00 , &H00         'i
Data &H7F , &H20 , &H1C , &H02 , &H7F , &H00 , &H00         'n
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00
Data &H3F , &H41 , &H41 , &H41 , &H3F , &H00 , &H00         'o
Data &H7F , &H48 , &H48 , &H40 , &H00 , &H00 , &H00         'f
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00
Data &H7F , &H01 , &H01 , &H01 , &H01 , &H00 , &H00         'l
Data &H3F , &H41 , &H41 , &H41 , &H3F , &H00 , &H00         'o
Data &H78 , &H06 , &H01 , &H06 , &H78 , &H00 , &H00         'v
Data &H7F , &H49 , &H49 , &H41 , &H00 , &H00 , &H00         'e
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00

'Green Message
Yyy:
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00
Data &H00 , &H00 , &H7F , &H00 , &H00 , &H00 , &H00         'i
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00         '
Data &H7F , &H01 , &H01 , &H01 , &H01 , &H00 , &H00         'l
Data &H3F , &H41 , &H41 , &H41 , &H3F , &H00 , &H00         'o
Data &H78 , &H06 , &H01 , &H06 , &H78 , &H00 , &H00         'v
Data &H7F , &H49 , &H49 , &H41 , &H00 , &H00 , &H00         'e
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00
Data &H40 , &H20 , &H1F , &H20 , &H40 , &H00 , &H00         'y
Data &H3F , &H41 , &H41 , &H41 , &H3F , &H00 , &H00         'o
Data &H3E , &H01 , &H01 , &H01 , &H3E , &H00 , &H00         'u
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00
Data &H32 , &H49 , &H49 , &H49 , &H26 , &H00 , &H00         's
Data &H3E , &H41 , &H45 , &H43 , &H3F , &H00 , &H00         'q
Data &H3E , &H01 , &H01 , &H01 , &H3E , &H00 , &H00         'u
Data &H7F , &H49 , &H49 , &H41 , &H00 , &H00 , &H00         'e
Data &H7F , &H49 , &H49 , &H41 , &H00 , &H00 , &H00         'e
Data &H43 , &H45 , &H49 , &H51 , &H61 , &H00 , &H00         'z
Data &H40 , &H20 , &H1F , &H20 , &H40 , &H00 , &H00         'y
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00